using System.Collections;
using System.Windows.Forms;

namespace DragonChat
{
    public class NLSort : IComparer
    {
        private CaseInsensitiveComparer ObjectCompare;

        public NLSort()
        {
            ObjectCompare = new CaseInsensitiveComparer();
        }

        public int Compare(object x, object y)
        {
            int CompareResult;

            User userX, userY;

            userX = (User)((ListViewItem)x).Tag;
            userY = (User)((ListViewItem)y).Tag;

            CompareResult = ObjectCompare.Compare(userX.Order, userY.Order);
            if (CompareResult == 0)
                return ObjectCompare.Compare(userX.Nickname, userY.Nickname);
            else
                return CompareResult;
        }
    }
}
