using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace DragonChat
{
    public class WhisperCollection : CollectionBase
    {
        public void Add(WhisperForm whisper)
        {
            base.List.Add(whisper);
        }

        public void Remove(WhisperForm whisper)
        {
            base.List.Remove(whisper);
        }

        public WhisperForm Get(string nickname)
        {
            WhisperForm whisper = null;
            foreach (WhisperForm wf in base.List)
                if (wf.Nickname == nickname)
                    whisper = wf;
            return whisper;
        }
    }
}
