﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DragonChat
{
    public partial class KickInputDialog : Form
    {
        string _message = string.Empty;

        public string Message
        {
            get { return _message; }
            set { _message = value; }
        }

        public KickInputDialog()
        {
            InitializeComponent();
            this.Load += new EventHandler(KickInputDialog_Load);
        }

        void KickInputDialog_Load(object sender, EventArgs e)
        {
            this.rtbInput.Text = "Goodbye!";
            this.rtbInput.SelectionStart = 0;
            this.rtbInput.SelectionLength = this.rtbInput.Text.Length;
            this.rtbInput.Focus();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            _message = this.rtbInput.Text;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
